org.codehaus.groovy.runtime.memoize

## Class NullProtectionStorage

- java.lang.Object
- - org.codehaus.groovy.runtime.memoize.NullProtectionStorage

    public final class NullProtectionStorage
    extends java.lang.Object

A NullObject pattern implementation for ProtectionStorage Doesn't protect any resources. Used when the user doesn't mind to eventually have the whole memoize cache emptied by gc.

Author:
  Vaclav Pech

### Constructor Summary

Constructors
Constructor and Description
`NullProtectionStorage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `touch(java.lang.Object key, java.lang.Object value)` Does nothing

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullProtectionStorage

    public NullProtectionStorage()

### Method Detail

#### touch

    public void touch(java.lang.Object key,
                      java.lang.Object value)

Does nothing

Parameters:
  `key` - The key of the element to renew
  `value` - A value to newly associate with the key